import os, json

script_dir = os.path.dirname(os.path.abspath(__file__))
input_path = os.path.join(script_dir, 'input.txt')

dict_by_angebotsmail = {}
dict_by_traegermail = {}

with open(input_path, 'r', encoding='utf-8') as file:
    for line in file:
        parts = [part.strip() for part in line.strip().split('|')]
        if len(parts) != 3:
            continue

        name, angebotsmail, traegermail = parts

        if len(angebotsmail) > 5:
            dict_by_angebotsmail.setdefault(angebotsmail, []).append(name)
        if len(traegermail) > 5:
            dict_by_traegermail.setdefault(traegermail, []).append(name)   

print("Stichprobe Dict(angebotsmail) mit 'info@mfh-bochum.de':")
print(dict_by_angebotsmail["info@mfh-bochum.de"])

print("\nStichprobe Dict(traegermail) mit 'info@psh-bochum.de':")
print(dict_by_traegermail["info@psh-bochum.de"])

json_by_angebotsmail = os.path.join(script_dir, 'dict_by_angebotsmail.json')
json_by_traegermail = os.path.join(script_dir, 'dict_by_traegermail.json')

with open(json_by_angebotsmail, 'w', encoding='utf-8') as f:
    json.dump(dict_by_angebotsmail, f, ensure_ascii=False, indent=2)

with open(json_by_traegermail, 'w', encoding='utf-8') as f:
    json.dump(dict_by_traegermail, f, ensure_ascii=False, indent=2)

print("\nJSON-Dateien wurden gespeichert als:")
print(f"- {json_by_angebotsmail}")
print(f"- {json_by_traegermail}")
